# Uses of Class
com.google.protobuf.FieldMask

Packages that use FieldMask
Package
Description
com.google.protobuf

## Uses of FieldMask in com.google.protobuf

Methods in com.google.protobuf that return FieldMask
Modifier and Type
Method
Description
`FieldMask`
FieldMask.Builder.`build()`
`FieldMask`
FieldMask.Builder.`buildPartial()`
`static FieldMask`
FieldMask.`getDefaultInstance()`
`FieldMask`
FieldMask.Builder.`getDefaultInstanceForType()`
`FieldMask`
FieldMask.`getDefaultInstanceForType()`
`static FieldMask`
FieldMask.`parseDelimitedFrom(InputStream input)`
`static FieldMask`
FieldMask.`parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static FieldMask`
FieldMask.`parseFrom(byte[] data)`
`static FieldMask`
FieldMask.`parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)`
`static FieldMask`
FieldMask.`parseFrom(ByteString data)`
`static FieldMask`
FieldMask.`parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)`
`static FieldMask`
FieldMask.`parseFrom(CodedInputStream input)`
`static FieldMask`
FieldMask.`parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
`static FieldMask`
FieldMask.`parseFrom(InputStream input)`
`static FieldMask`
FieldMask.`parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static FieldMask`
FieldMask.`parseFrom(ByteBuffer data)`
`static FieldMask`
FieldMask.`parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)`
Methods in com.google.protobuf that return types with arguments of type FieldMask
Modifier and Type
Method
Description
`Parser<FieldMask>`
FieldMask.`getParserForType()`
`static Parser<FieldMask>`
FieldMask.`parser()`
Methods in com.google.protobuf with parameters of type FieldMask
Modifier and Type
Method
Description
`FieldMask.Builder`
FieldMask.Builder.`mergeFrom(FieldMask other)`
`static FieldMask.Builder`
FieldMask.`newBuilder(FieldMask prototype)`